Package it.ernytech.tdlib

## Class TdApi.SetOption

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetOption

Enclosing class:
  TdApi

    public static class TdApi.SetOption
    extends TdApi.Function

Sets the value of an option. (Check the list of available options on https://core.telegram.org/tdlib/options.) Only writable options can be set. Can be called before authorization.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `name` The name of the option.
`TdApi.OptionValue` `value` The new value of the option.

### Constructor Summary

Constructors
`SetOption()` Default constructor.
`SetOption​(java.lang.String name, TdApi.OptionValue value)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### name

    public java.lang.String name

The name of the option.

#### value

    public TdApi.OptionValue value

The new value of the option.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetOption

    public SetOption()

Default constructor.

#### SetOption

    public SetOption​(java.lang.String name,
                     TdApi.OptionValue value)

Constructor for initialization of all fields.

Parameters:
  `name` - The name of the option.
  `value` - The new value of the option.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR